package org.arefgard.icerya.container;

/**
 * Beanの生成に失敗した場合にthrowされる例外。
 * 
 * @author Takashi Yamashina
 * @since 1.0.0
 */
public class BeanCreateException extends ContainerException {
	public BeanCreateException() {
	}

	public BeanCreateException(String arg0) {
		super(arg0);
	}

	public BeanCreateException(Throwable arg0) {
		super(arg0);
	}

	public BeanCreateException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}
}
